
%global meadversion 1.1.1
%global namedversion 1.1.1.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 7
%global namedversionrel redhat-00001

%{?scl:%scl_package jzlib} 
%{!?scl:%global pkg_name %{name}}

%bcond_without mead
%bcond_with javadoc

%define maven_version 1.1.1.redhat-00001

Name:		%{?scl_prefix}jzlib
Summary:	JZlib is a re-implementation of zlib in pure Java
Version:	%{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Group:          Development/Libraries

%if %with mead
Source100: jzlib-1.1.1.redhat-00001-scm-sources.zip
Source102: jzlib-1.1.1.redhat-00001.jar
Source103: jzlib-1.1.1.redhat-00001.pom
Source104: jzlib-1.1.1.redhat-00001-sources.jar
Source105: jzlib-1.1.1.redhat-00001-project-sources.tar.gz
%endif

License:        BSD
URL:            http://www.jcraft.com/jzlib/
Epoch:          0

BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot
BuildArch:      noarch

%description
%{summary}.

%if %with javadoc
%package javadoc
Summary:        Javadoc for jzlib
Group:          Development/Java


%description javadoc
Javadoc for jzlib
%endif

%prep
%setup -q -n jzlib -T -b 100

%build

%install
rm -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_javadir}

#jars
%{__cp} -p %{_sourcedir}/jzlib-%{namedversion}.jar %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jzlib-%{namedversion}-sources.jar %{buildroot}%{_javadir}

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

#javadoc
%if %with javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/jzlib-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jzlib-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jzlib-%{namedversion} -x META-INF/\*
(cd $RPM_BUILD_ROOT%{_javadocdir} && ln -s jzlib-%{namedversion} jzlib)
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENSE.txt README
%{_javadir}/jzlib-%{namedversion}.jar
%{_javadir}/jzlib.jar
%{_javadir}/jzlib-%{namedversion}-sources.jar
%{_javadir}/jzlib-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jzlib
%{_javadocdir}/jzlib-%{namedversion}
%endif


%changelog
* Thu Sep 06 2018 Yong Yang <yyang@redhat.com> - 1.1.1-7.redhat_00001.1
-  1.1.1.redhat-00001 

* Thu Sep 06 2018 Yong Yang <yyang@redhat.com> - 1.1.1-7.redhat_00001.1
-  1.1.1.redhat-00001 

* Mon Sep 03 2018 Yong Yang <yyang@redhat.com> - 1.1.1
- Init build
